Bug 191075 - [PATCH] devel/libstrfunc: switch to USES=libtool
Summary: [PATCH] devel/libstrfunc: switch to USES=libtool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-15 23:46 UTC by Dmitry Marakasov
Modified: 2014-07-03 17:47 UTC (History)
2 users (show)

See Also:


Attachments
libstrfunc-8.3.patch (1.07 KB, patch)
2014-06-15 23:46 UTC, Dmitry Marakasov
amdmi3: maintainer-approval? (vlm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-06-15 23:46:27 UTC
Created attachment 143822 [details]
libstrfunc-8.3.patch

- Switch to USES=libtool, drop .la files
- Use autotools to regenerate build scripts, without it .so extensions are stripped from libraries

All consumers (devel/ncnf, audio/aqualung, net-mgmt/nagcon) confirmed to build fine after this change.

Port maintainer (vlm@lionet.info) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-06-16 02:00:29 UTC
Notify maintainer.
Comment 2 commit-hook freebsd_committer 2014-07-03 17:47:57 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jul  3 17:47:19 UTC 2014
New revision: 360429
URL: http://svnweb.freebsd.org/changeset/ports/360429

Log:
  - Switch to USES=libtool, drop .la files

  PR:		191075
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Changes:
  head/devel/libstrfunc/Makefile
  head/devel/libstrfunc/pkg-plist